capybara-webkitのインストールで失敗

1448434048_application-x-ruby.png
capybara-webkitのインストールで失敗したのでメモ。
※capybaraは以前にインストールしてる。
◆失敗パターン

$ sudo gem install capybara-webkit
Building native extensions. This could take a while…
ERROR: Error installing capybara-webkit:
     ERROR: Failed to build gem native extension.
・・・
sh: qmake: command not found
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers. Check the mkmf.log file for more details. You may
need configuration options.
・・・

「ERROR:」とか「Could not」とか出てるのでインストールは失敗・・・・
◆成功パターン

$ brew update      ←これは念のため
$ brew install qt      ←これが必要
$ sudo gem install capybara-webkit

qtってのが何かは分かってないので、後日調べるとする。

広告
広告

プログラミングを楽しもう!

初心者向けのプログラミング教室やってます!
Skype or 対面で対応致します。
C言語、ExcelVBA、Scratch、Linux初歩の初歩といろいろなコースがあります。
※Rubyコース準備中!

小学生のお子さまにはScrachでプログラミングを楽しんで頂けます。

無料体験がありますので、是非お気軽にレッスンを受けてみてください。
プログラミングは楽しいですよ!

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

ABOUTこの記事をかいた人

Windows/Mac/Linuxを使う現役システムエンジニア&プログラマ。オープン系・組み込み系・制御系・Webシステム系と幅広い案件に携わる。C言語やC#やJava等数多くのコンパイラ言語を経験したが、少し飽きてきたので、最近はRubyやPython、WordPressなどのWeb系を修得中。初心者向けのプログラミング教室も運営中。オンライン・対面・出張等でプログラミングをレッスンします。